Package com.pixelmed.apps

## Class SetCharacteristicsFromSummary.OurMediaImporter

- java.lang.Object
- - com.pixelmed.dicom.MediaImporter
  - - com.pixelmed.apps.SetCharacteristicsFromSummary.OurMediaImporter

- Enclosing class:
    SetCharacteristicsFromSummary

      protected class SetCharacteristicsFromSummary.OurMediaImporter
      extends MediaImporter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.pixelmed.dicom.MediaImporter

      `MediaImporter.MediaImporterWithFileChooserDialogThread, MediaImporter.OurReadTerminationStrategy`

  - ### Field Summary

    - ### Fields inherited from class com.pixelmed.dicom.MediaImporter

      `logger, mediaDirectoryPath, progressBar, progressBarUpdater, terminateAfterIdentifyingGroup`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OurMediaImporter​(MessageLogger logger)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `doSomethingWithDicomFileOnMedia​(java.lang.String mediaFileName)` | Do something with the referenced DICOM file that has been encountered.
    `protected boolean` | `isOKToImport​(java.lang.String sopClassUID, java.lang.String transferSyntaxUID)` | Check for valid information, and that the file is not compressed or not a suitable storage object for import.

    - ### Methods inherited from class com.pixelmed.dicom.MediaImporter

      `choosePathAndImportDicomFiles, choosePathAndImportDicomFiles, doSomethingWithDicomFileOnMedia, doSomethingWithUnwantedFileOnMedia, getDirectory, importDicomFiles, logLn, main`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OurMediaImporter

          public OurMediaImporter​(MessageLogger logger)

  - ### Method Detail

    - #### isOKToImport

          protected boolean isOKToImport​(java.lang.String sopClassUID,
                                         java.lang.String transferSyntaxUID)

      Description copied from class: `MediaImporter`

      Check for valid information, and that the file is not compressed or not a suitable storage object for import.

      Overrides:
        `isOKToImport` in class `MediaImporter`
      Parameters:
        `sopClassUID` - the SOP Class UID of the file
        `transferSyntaxUID` - the Transfer Syntax UID of the file
      Returns:
        true if is suitable

    - #### doSomethingWithDicomFileOnMedia

          protected void doSomethingWithDicomFileOnMedia​(java.lang.String mediaFileName)

      Description copied from class: `MediaImporter`

      Do something with the referenced DICOM file that has been encountered.

      This method needs to be implemented in a sub-class to do anything useful, unless `doSomethingWithDicomFileOnMedia(String mediaFileName,String transferSyntaxUID,String sopClassUID)` has been overridden instead. The default method does nothing.

      "Wanted" files are those that are DICOM files for which `isOKToImport(String sopClassUID,String transferSyntaxUID)` returns true.

      This method does not define any exceptions and hence must handle any errors locally.

      Overrides:
        `doSomethingWithDicomFileOnMedia` in class `MediaImporter`
      Parameters:
        `mediaFileName` - the fully qualified path name to a DICOM file